Recent Changes - Search:

edit SideBar

libglade2

Main.Libglade2 History

Hide minor edits - Show changes to output

July 30, 2012, at 03:24 PM by 178.27.24.32 -
Changed lines 12-13 from:
'''Version:''' 2.6.4-1
to:
'''Version:''' 2.6.4-2
Changed lines 16-17 from:
* [[http://www.oss4aix.org/download/RPMS/libglade2/libglade2-2.6.4-1.aix5.1.ppc.rpm|libglade2-2.6.4-1.aix5.1.ppc.rpm]]
* [[http://www.oss4aix.org/download/RPMS/libglade2/libglade2-devel-2.6.4-1.aix5.1.ppc.rpm|libglade2-devel-2.6.4-1.aix5.1.ppc.rpm]]
to:
* [[http://www.oss4aix.org/download/RPMS/libglade2/libglade2-2.6.4-2.aix5.1.ppc.rpm|libglade2-2.6.4-2.aix5.1.ppc.rpm]]
* [[http://www.oss4aix.org/download/RPMS/libglade2/libglade2-devel-2.6.4-2.aix5.1.ppc.rpm|libglade2-devel-2.6.4-2.aix5.1.ppc.rpm]]
Added lines 1-35:
(:title libglade2:)

!!Description
Libglade is a small library that allows a program to load its user interface from am XML description at runtime. Libglade uses the XML file format used by the GLADE user interface builder GLADE, so libglade acts as an alternative to GLADE's code generation approach. Libglade also provides a simple interface for connecting handlers to the various signals in the interface (on platforms where the gmodule library works correctly, it is possible to connect all the handlers with a single function call). Once the interface has been instantiated, libglade gives no overhead, so other than the short initial interface loading time, there is no performance tradeoff.

The library is available as 32-bit and 64-bit:
* If you are compiling a 32-bit program, no special compiler options are needed.
* If you are compiling a 64-bit program, you have to compile and link your application with "xlc_r -q64" or "gcc -maix64".

'''Homepage:''' [[http://www.gnome.org]]

'''Version:''' 2.6.4-1

!!Downloads
'''RPM:'''
* [[http://www.oss4aix.org/download/RPMS/libglade2/libglade2-2.6.4-1.aix5.1.ppc.rpm|libglade2-2.6.4-1.aix5.1.ppc.rpm]]
* [[http://www.oss4aix.org/download/RPMS/libglade2/libglade2-devel-2.6.4-1.aix5.1.ppc.rpm|libglade2-devel-2.6.4-1.aix5.1.ppc.rpm]]

'''Source RPM:'''
* [[http://www.oss4aix.org/download/SRPMS/libglade2/libglade2-2.6.4-1.src.rpm|libglade2-2.6.4-1.src.rpm]]

'''Package dependencies:'''
* [[http://www.perzl.org/aix/index.php?n=Main.Atk|atk]] >= 1.26
* [[http://www.perzl.org/aix/index.php?n=Main.Gettext|gettext]] >= 0.17
* [[http://www.perzl.org/aix/index.php?n=Main.Gtk2|gtk2]] >= 2.18.5
* [[http://www.perzl.org/aix/index.php?n=Main.Glib2|glib2]] >= 2.22.4
* [[http://www.perzl.org/aix/index.php?n=Main.Libxml2|libxml2]] >= 2.6.32-2
* [[http://www.perzl.org/aix/index.php?n=Main.Pango|pango]] >= 1.24.5
* [[http://www.perzl.org/aix/index.php?n=Main.Xml-common|xml-common]]

----

'''All versions:'''
* [[http://www.oss4aix.org/download/RPMS/libglade2/|Binary RPMs]]
* [[http://www.oss4aix.org/download/SRPMS/libglade2/|Source RPMs]]
Edit - History - Print - Recent Changes - Search
Page last modified on July 30, 2012, at 03:24 PM